summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick McLean <patrick.mclean@sony.com>2021-02-26 15:48:17 -0800
committerPatrick McLean <chutzpah@gentoo.org>2021-02-26 18:32:32 -0800
commitab17e261731e37aa084815c3e1081d7a1bdebf3e (patch)
treef0c353533c9a07a6c8ca46010673e73d977e96fa
parentdev-python/raet-0.6.8-r2: revbump, add py39, patch for msgpack-1 (diff)
downloadgentoo-ab17e261731e37aa084815c3e1081d7a1bdebf3e.tar.gz
gentoo-ab17e261731e37aa084815c3e1081d7a1bdebf3e.tar.bz2
gentoo-ab17e261731e37aa084815c3e1081d7a1bdebf3e.zip
app-admin/salt-3002.5: Version bump (sec bug #767919)
Bug: https://bugs.gentoo.org/767919 Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-3.0.15, Repoman-3.0.2 Signed-off-by: Patrick McLean <chutzpah@gentoo.org>
-rw-r--r--app-admin/salt/Manifest1
-rw-r--r--app-admin/salt/files/salt-3002.5-tests.patch30
-rw-r--r--app-admin/salt/salt-3002.5.ebuild187
3 files changed, 218 insertions, 0 deletions
diff --git a/app-admin/salt/Manifest b/app-admin/salt/Manifest
index fff5f12537f..c9c7548556f 100644
--- a/app-admin/salt/Manifest
+++ b/app-admin/salt/Manifest
@@ -3,3 +3,4 @@ DIST salt-3000.5.tar.gz 15229450 BLAKE2B 135e9b9dcc461ac898231ce46e6a1359e6d60a4
DIST salt-3000.6.tar.gz 15236781 BLAKE2B 5a532a6915b331fb532dc6e1651cf8fca3e1a5e9f29f6d75260fdb1162dbfeec755c65f7c6fc28b1cc7dc3ace978547830af31aafc1eee8419bbc7e695725787 SHA512 739e3671766c45a0ef1eb45933c7f00f14586e91f4c4a79cbed913a48961a48baee853206ba569491756e8a872d22f3635eb6bc1a366020e551c567b2334c508
DIST salt-3001.4.tar.gz 15716372 BLAKE2B cc33b29b0da9cfaae22726b2b471245880aafa106187b531872a9ae5ee773a94e0d550a68b11b74826bc0b35197a311f690535f2280931ccb5050275ad967c2d SHA512 b7f343c65917280a96d8a3eaa6b508121b11b9f9b0bfffa5b4c79af0023bdecf4581f76014847d97f48d9677edb6f632adec3850153c3048c3114128a250b84b
DIST salt-3002.2.tar.gz 15765855 BLAKE2B b26895ababc8551e01baa806c5a0e41dab9a379e47d2289b5c3c529ef762c69631d7ed8b32339ec66c3929c5883782131eb56d1bfbcc743829c4f0199a900ca1 SHA512 0f617a07475347b1bb0d1c6059de541e102103182820dfd6f64f4c281d660e68358eb1ab7171a637e16cef9fea2517c8356df9c449f9bbc92538aa86c316f652
+DIST salt-3002.5.tar.gz 15784880 BLAKE2B baa90bb0caea572dfbe12d92fb488ee0c4adef9a07221f394009cd43a62ffef18c57f2e7cdcfcd923807c7a3d02ce6833480f74d70250c29d311420f30514300 SHA512 dda2caa338f646ec51d2de6b0df10fbb27eceddbe8c797ae192b9ef1312d566ae71a243a3a95918fa375b125089aa29a73b1b908c5cc1b0451dccb582a4978a1
diff --git a/app-admin/salt/files/salt-3002.5-tests.patch b/app-admin/salt/files/salt-3002.5-tests.patch
new file mode 100644
index 00000000000..5a2eb43c3a4
--- /dev/null
+++ b/app-admin/salt/files/salt-3002.5-tests.patch
@@ -0,0 +1,30 @@
+--- salt-3002.5/tests/unit/modules/test_cmdmod.py 2021-02-26 11:01:33.407219444 -0800
++++ salt-3002.5-python3_7/tests/unit/modules/test_cmdmod.py 2021-02-26 11:01:47.709124416 -0800
+@@ -560,6 +560,7 @@
+
+ self.assertEqual(ret["stdout"], salt.utils.stringutils.to_unicode(stdout))
+
++ @skipIf(True, "doesn't work in sandbox")
+ def test_run_all_output_loglevel_debug(self):
+ """
+ Test that specifying debug for loglevel
+--- salt-3002.5//tests/unit/utils/test_thin.py 2021-02-26 13:30:47.841179546 -0800
++++ salt-3002.5-python3_7//tests/unit/utils/test_thin.py 2021-02-26 13:41:33.681174531 -0800
+@@ -1275,6 +1275,7 @@
+ @skipIf(
+ salt.utils.platform.is_windows(), "salt-ssh does not deploy to/from windows"
+ )
++ @skipIf(True, "does not work with network-sandbox")
+ def test_thin_dir(self):
+ """
+ Test the thin dir to make sure salt-call can run
+--- salt-3002.5/tests/unit/modules/test_cmdmod.py 2021-02-26 13:30:48.014178373 -0800
++++ salt-3002.5-python3_7/tests/unit/modules/test_cmdmod.py 2021-02-26 13:43:22.395441008 -0800
+@@ -439,6 +439,7 @@
+
+ @skipIf(salt.utils.platform.is_windows(), "Do not run on Windows")
+ @skipIf(salt.utils.platform.is_darwin(), "Do not run on MacOS")
++ @skipIf(True, "does not work with network-sandbox")
+ def test_run_cwd_in_combination_with_runas(self):
+ """
+ cmd.run executes command in the cwd directory
diff --git a/app-admin/salt/salt-3002.5.ebuild b/app-admin/salt/salt-3002.5.ebuild
new file mode 100644
index 00000000000..5fc8c96484d
--- /dev/null
+++ b/app-admin/salt/salt-3002.5.ebuild
@@ -0,0 +1,187 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit systemd distutils-r1
+
+DESCRIPTION="Salt is a remote execution and configuration manager"
+HOMEPAGE="https://www.saltstack.com/resources/community/
+ https://github.com/saltstack"
+
+if [[ ${PV} == 9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
+ EGIT_BRANCH="develop"
+ SRC_URI=""
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
+ mongodb neutron nova openssl portage profile redis selinux test raet
+ +zeromq vim-syntax"
+
+RDEPEND="
+ sys-apps/pciutils
+ >=dev-python/distro-1.5[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/libnacl[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ >=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/watchdog[${PYTHON_USEDEP}]
+ libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
+ mako? ( dev-python/mako[${PYTHON_USEDEP}] )
+ ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
+ libvirt? (
+ $(python_gen_cond_dep 'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_7)
+ )
+ openssl? (
+ dev-libs/openssl:0=[-bindist]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+ raet? (
+ >=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
+ >=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
+ )
+ cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
+ cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
+ mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
+ portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
+ keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
+ redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
+ selinux? ( sec-policy/selinux-salt )
+ nova? (
+ $(python_gen_cond_dep '>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_7)
+ )
+ neutron? (
+ $(python_gen_cond_dep '>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_7)
+ )
+ gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
+ profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
+ vim-syntax? ( app-vim/salt-vim )
+ zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ >=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
+ >=dev-python/pytest-salt-factories-0.93.0[${PYTHON_USEDEP}]
+ dev-python/pytest-tempdir[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
+ !x86? ( >=dev-python/boto3-1.3.15[${PYTHON_USEDEP}] )
+ )"
+
+DOCS=( README.rst AUTHORS )
+
+REQUIRED_USE="|| ( raet zeromq )
+ test? ( cheetah genshi )"
+RESTRICT="!test? ( test ) x86? ( test )"
+
+PATCHES=(
+ "${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
+ "${FILESDIR}/salt-3002-dont-realpath-on-tmpdir.patch"
+ "${FILESDIR}/salt-3002-tests.patch"
+ "${FILESDIR}/salt-3002.5-tests.patch"
+)
+
+python_prepare_all() {
+ # remove tests with external dependencies that may not be available, and
+ # tests that don't work in sandbox
+ rm tests/unit/{test_{zypp_plugins,module_names},utils/test_{extend,cache}}.py || die
+ rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
+ rm tests/unit/states/test_boto_vpc.py || die
+ rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die
+
+ # tests that require network access
+ rm tests/unit/{states,modules}/test_zcbuildout.py || die
+
+ # make sure pkg_resources doesn't bomb because pycrypto isn't installed
+ # make sure pkg_resources doesn't bomb because pycrypto isn't installed
+ find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; /pycryptodomex/ d' -i || die
+ # pycryptodome rather than pycryptodomex
+ find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:Cryptodome:Crypto:g' -- || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_prepare() {
+ einfo "Fixing collections.abc warnings for ${EPYTHON}"
+ local abc
+ abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
+ find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
+}
+
+python_install_all() {
+ local svc
+ USE_SETUPTOOLS=1 distutils-r1_python_install_all
+
+ for svc in minion master syndic api; do
+ newinitd "${FILESDIR}"/${svc}-initd-5 salt-${svc}
+ newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
+ systemd_dounit "${FILESDIR}"/salt-${svc}.service
+ done
+
+ insinto /etc/${PN}
+ doins -r conf/*
+}
+
+python_test() {
+ local tempdir
+ # testsuite likes lots of files
+ ulimit -n 3072 || die
+
+ # ${T} is too long a path for the tests to work
+ tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
+ mkdir "${T}/$(basename "${tempdir}")"
+
+ (
+ cleanup() { rm -f "${tempdir}" || die; }
+
+ trap cleanup EXIT
+
+ addwrite "${tempdir}"
+ ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die
+
+ USE_SETUPTOOLS=1 NO_INTERNET=1 SHELL="/bin/bash" \
+ TMPDIR="${tempdir}" \
+ ${EPYTHON} tests/runtests.py \
+ --unit-tests --no-report --verbose \
+ || die "testing failed with ${EPYTHON}"
+ )
+}
+
+pkg_postinst() {
+ if use python_targets_python3_8; then
+ if use nova; then
+ ewarn "Salt's nova functionality will not work with python3.8 since"
+ ewarn "dev-python/python-novaclient does not support it yet"
+ fi
+ if use neutron; then
+ ewarn "Salt's neutron functionality will not work with python3.8 since"
+ ewarn "dev-python/python-neutronclient does not support it yet"
+ fi
+ if use libvirt; then
+ ewarn "Salt's libvirt functionality will not work with python3.8 since"
+ ewarn "dev-python/libvirt-python does not support it yet"
+ fi
+ fi
+}